Skip to main content
Weavr API
Consumers

Register a consumer

POST/consumers

Create a consumer identity to represent an individual.

The information provided must be accurate as it will be passed on for KYC verification with our partner.

Request

Available on
SandboxProduction

Header parameters

Request body

*
application/json
{}
objectobject · 9 fields

Responses

200OK

Success

Headers
Body
application/json
{}
ConsumerConsumer · object · 11 fields
Response example
{  "id": {    "type": "CONSUMER",    "id": "123456789"  },  "profileId": "10001",  "tag": "customer-123",  "rootUser": {    "id": {      "type": "CONSUMER",      "id": "123456789"    },    "name": "Alex",    "surname": "Smith",    "email": "[email protected]",    "mobile": {      "countryCode": "+44",      "number": "7700900123"    },    "occupation": "ACCOUNTING",    "active": true,    "emailVerified": true,    "mobileNumberVerified": true,    "dateOfBirth": {      "year": 1990,      "month": 1,      "day": 1    },    "address": {      "addressLine1": "1 High Street",      "addressLine2": "Flat 2",      "city": "London",      "postCode": "W1A 1AA",      "state": "Greater London",      "country": "GB"    },    "nationality": {},    "placeOfBirth": "London",    "tag": "customer-123",    "locale": "en-GB",    "brand": "Acme"  },  "creationTimestamp": 1786118400000,  "ipAddress": "203.0.113.10",  "acceptedTerms": true,  "baseCurrency": "GBP",  "feeGroup": "DEFAULT",  "sourceOfFunds": "PERSONAL_SAVINGS",  "sourceOfFundsOther": "Inheritance"}